// import 'dart:io';

import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:sk_base_mobile/screens/landing/landing_controller.dart';
import 'package:sk_base_mobile/widgets/back_decoration.dart';
import 'package:sk_base_mobile/widgets/bottom_nav_bar.dart';
import 'package:sk_base_mobile/widgets/floating_action.dart';

class LandingPage extends StatelessWidget {
  LandingPage({super.key});
  final controller = Get.put<LandingController>(LandingController());

  @override
  Widget build(BuildContext context) {
    return Material(
      child: Stack(children: [
        const BackColors(),
        SafeArea(
            top: false,
            child: Obx(() => Scaffold(
                  floatingActionButtonLocation:
                      FloatingActionButtonLocation.centerDocked,
                  floatingActionButton: [0].indexWhere(
                              (item) => item == controller.currentIndex.value) >
                          -1
                      ? FloatingCreateButton()
                      : null,
                  bottomNavigationBar: BottomNavBar(),
                  backgroundColor: Colors.transparent,
                  body: Obx(
                      () => controller.pages[controller.currentIndex.value]),
                )))
      ]),
    );
  }
}
